This tree works just as the one found in the Microsoft Windows Explorer, expand/collapse a tree item by double click on the icon or by single click on the plus/minus symbol.
Buttons below bound to the tree root.

This is the method thats called when you click on a tree item.

Pretty self explaining, expands or collapses the current item.

Expands or collapses the current item and all child items (recursive).

Expands or collapses all child items (recursive) but not the item itself.

Returns the id of the selected item (if any)

Add node(s) below selected, or remove the selected node.


MediaMan Help

Index of Help Topics
MediaMan let you create and organize your own media catalog for free. MediaMan is capable of managing all kinds of media in your collection, including books, DVDs, CDs, VHS tapes, software and game titles. Import items to your collection by downloading information from Amazon United States, Germany, Great Britain, and Japan. Use the webcam barcode scanner to make the process even faster. Item status management let you keep an eye on the lent items, and never pay extra for the rented ones. All items can be divided and re-divided into nested categories according to your wish. And finally, the collection can be exported for printing or synchronizing with your PDAs.

Please click any of the following topics to get help.


MediaMan Online Help Navigation

Back Home (Index) www.imediaman.com


Automatically Backup/Saving the Collection

Use Tools -> Options to configure a backup location for the collection file. When MediaMan closes, it'll automatically put a copy of the collection file there. Additionally, you may set an interval to force MediaMan to save the collection file automatically every few minutes.

*Note: The backup setting is associated with collection files, it's not a program-wide option. Which means you can configure different backup locations for different collection files.


Exporting the Collection

You may export the content of the current collection file using the collection export wizard. MediaMan allows you to export your collection into Microsoft Word RTF files, HTML files, and CSV files. Use File -> Export -> Collection ... to access the wizard.

You'll be prompted for the choice of export file format in the first page of the wizard.

In the rest of the wizard, you'll be prompted for more options such as the items to export, the fields to export. MediaMan currently allows you to export the search result, selected items, or a category of items. To export the whole collection, choose the option to export the root node of the category tree (It's named "My Collection" by default). Additionally, you can export items in a selected series of fields, this will help if you were exporting to a CSV file with a small set of required fields.

(Note: To export search results, you are strongly advised to invoke the wizard in the search dialog. For more information, please check out the search tool tutorial.


Managing Item Status
Managing per-item-status in MediaMan is easy. In some scenario, you lent some of your movies to your friends, you may want to keep tracking of the lent items. You can quickly set the status of an item by using the context menu (right click).

Use the "Edit Item" dialog to manage the details of the status. Double click an item to bring up the "Edit Item" dialog. In the "Basics" page, you can choose a status for the item, just like the context menu way.

Then, in the "Description" page, you can add details about the status.

Some status (i.e. borrow, lend, rent etc.) comes with a due date reminder feature. Such items will be highlighted when the due date comes.


Preferences and Customization

Use Tools -> Options to activate MediaMan options dialog to configure default parameters of the program.

Preferences

The preferences page allows you to configure the basic parameters of MediaMan. Everything is program-wide except for the automatic backup option, which is collection-wide. For more information on the auto saving/backup feature, please refer to the auto saving/backup tutorial. The "strict scanning mode" of webcam barcode scanner is the option that enforce the scanner to produce more accurate results. You are advised to leave this option on unless you have problem in barcode scanning.

User Interface

MediaMan allows high-level user interface customization. It offers a "Wide Frame" interface mode in addition to the traditional "Full Frame" mode. You are advised to try both and set the preferred one here. MediaMan treats every item in a generic way, so that when you were editing a movie DVD, there will still be book or CD specific fields available in the form sheets. Use the "Hide non-relevant sheets when editing" to hide those fields.

Customize

MediaMan supports content retrieval from Amazon United States, Germany, Great Britain, Japan, Canada and France. Specify your preferred one in the "Customize" page. You can also import your own icon file (.ico, .bmp, .png) on your hard drive to be the category icons.

(Please note that MediaMan won't store those imported icons anywhere, and therefore, you'll have to keep those imported files on your hard drive. If you removed some old icons and imported some new ones, the icons in your collection might "be messed up". In such cases, you can use the collection update wizard to reset icon settings for your items.)

Theme

The theme tab allows you to choose theme packages and variations to customize the look of virtual shelf view and the item detail HTML template. Fefer to the technical specification for technical information about MediaMan theme mechanism. Please log on to www.imediaman.com to download additional theme packages or to get more information.

Advanced

The "Advanced" tab allows you to specify options to show/hide certain fields in the detail pane. This setting will also affect the default settings of the collection export wizard, and the search tool.

An additional option is given to allow case-insensitive sorting, and it'll affect only the item list pane.

The following picture shows that MediaMan will record values you entered in certain fields so that later, you will be able to recall them easily.

The "Advanced" tab offer two buttons for maintenance of these drop-down list. You can clear them if you found it annoying. However, after using the edit dialog for a while, it'll soon be filled with newly recorded values.


MediaMan Price Tracker

MediaMan Price Tracker is a free tool that allows you to keep tracking of current prices and availability status of products on Amazon.com. It is designed to enhance your online shopping experience. It can be used to track unreleased DVDs, CDs and books. MediaMan Price Tracker worked as your very own shopping assistant by remembering your shopping list and constantly reminding you of price changes. The benefits of using the price tracker are:

  • faster and easier to use than Amazon wishlist
  • a more reliable and intuitive way of recording digital shopping list
  • get known of price and availability changes efficiently
  • track, remove, and update products without logging on to Amazon
  • easy purchase with directly created shopping-cart on Amazon

MediaMan Price Tracker can be used to track the following types of products on all four supported Amazon international sites:

  • DVD
  • Books
  • Audio CD (Popular Music)
  • Audio CD (Classical Music)
  • Video Tape
  • Computer Software
  • Computer & Video Games
  • Electronics
  • Camera & Photo
  • Computers & Hardware
  • Toys & Games
  • Magazines

Activating the Price Tracker
Simply click the "Shopping" tab in the homepage screen to activate the price tracker.

Using the Price Tracker
Click the green plus-sign button to add products to your tracking list. This will bring up a wizard that looked exactly like the media item wizard (for adding new items to your collection).

You can either search for a product by entering keywords, or scanning the barcode from the package you borrowed from your friend. In any case, the process will be exactly the same as the media item wizard.

Select products from the search result, and click "Finish" to add them to the tracking list.

By default, MediaMan will update the availability and price information of the tracked products on start. Alternatively, you can update them manually by pressing "Update".

If you wish to remove products from the tracking list, simply select those products using the checkbox on the left side and press the red minus-sign button.

If you decided to buy these products, you can also select them using the checkbox, and click "Buy". MediaMan will remind you that it's about to create a shopping-cart and you'll be directed to Amazon to handle the rest of the transaction.

Please note that you need to log in and enter billing information on Amazon's secure purchase page. For privacy concerns, please refer to the introduction of Amazon Web Service, and currently, there's no way for MediaMan to track customer information nor transaction.


Searching the Collection

Find items in the collection by using the search tool. MediaMan supports text keyword search on most fields available in the item entry dialog.

Click "Search" on the toolbar or use menu Edit -> Search... to launch the collection search dialog.

Type in some keywords to describe the items you wanted to look for, and press "Search". This will start a full collection search process. You can view the curent progress and matched result on the same screen. The search tool allow you to specify fields to look in, also, you can limit the search result to certain category with certain status.

Click on any of the items in the result box, and MediaMan will show item details in the main window. In the search result, MediaMan will display a "matched sequence" for each item indicating where the keyword is found. Additionally, if you click on any of the items, the main screen will display the item with highlighted keywords in the detail view.

There's a hyperlink named "Export Results" in the result screen. It can be used to export search results using the collection export wizard to RTF, HTML, or CSV files. For more information, please check out the collection export wizard.


Collection Statistics

MediaMan can draw a statistics pie chart based on the currently opened collection file in the home page. Click "STATISTICS" on the navigation bar to see it.

The first chart is drawn based on the number of items in each category, representing an overview of the collection file. You may pick one of the available charts from the "Show statistics based on" drop-down list to view the graphical statistics information. Please note that only items that contains the specific statistics fields will be calculated. That is, the "Artists" chart calculates those items with "Artists" field filled-in. In addition, each pie chart can show up to 12 sectors. It'll combine the rest sectors into a single one if the total number of sectors exceeds this limit.

In addition to the graph, you may click the link below it or use File -> Export -> Statistics ... to export statistics data into a Comma Separated Values (CSV) file for use with third-party software.

Statistics charts are usually automatically updated when you start MediaMan or open a collection file. You can force a manual update by using the "Update" button.

*Note: The CSV file exported by MediaMan is actually separated by the tab character, this made it easier for applications such as Microsoft Excel to use.


The Collection Update Wizard

The collection update wizard is primarily used in the following scenarios:

  • You wanted to update your old collection file with newly available information on Amazon
  • You wanted to update certain fields of a series of items to the same value

Use the "Update" button on the toolbar to launch the collection update wizard.

You'll be given the choice of "update for", "update from", and a series of updatable fields if applicable.

Custom fields information will be retained when you execute an update from the Amazon stores. However, you should not try to update items retreived from one international store from another. After the update process, you are suggested to revise the result and review the collection file before saving.


Configuring your webcam for barcode scanning

The webcam barcode scanner is a new feature in MediaMan 2.0. It dramatically save your time on batch item importing using the media item wizard. However, you'll have to configure your webcam first before using this feature.

First, barcode scanning requires a relatively clear output image from your webcam. Therefore, you'll need a mid-class or better webcam. An example in this class is Logitech® Quickcam Pro 4000. Some of the following configuration guide is based on the software and the hardware of this webcam model.

The only setting you want to touch here is the "Low Light Filter". Typical webcams use software based contrast adjustment to enhance the images produced in the night. However, it'll slow down your computer. You'll probably find your webcam works a lot faster in messenger program with this option turned off. And therefore, to get a reasonable performance during barcode scanning. It's recommended that you turn "Low Light Filter" feature (or similar ones) off.

You'll also need to adjust the focus of your webcam to use the barcode scanner. You may skip this step if you own an auto-focus webcam. Usually, the focus of the webcam is configured at the distance of 3 feet (or 1 meter), so that it'll be focused on your face when you are having a video chat. But barcode scanning requires a closer distance. You'll need to put the barcode part of the product within 3 inches (7 centimeters) in front of the webcam. To adjust the focus, you'll be using the focus ring.

The focus ring is typically a rubber ring in the front of the lens of your webcam. You'll need to rotate it counter-clockwise to adjust the focus to a closer distance. It don't have to be exactly 3 inches, just keep rotating until you see a blurry image of yourself.

Now, you can try putting the barcode part of some products of your choice in front of the webcam to see if it's working. Try holding them for one or two seconds until MediaMan beeps and copy the scanned barcode to the edit box.


Adding Items to Your Collection
In MediaMan, you can import items into your collection by downloading information from Amazon. To do this, we will need to use the Media Item Wizard. An Internet connection is required during this process. (If you don't have an Internet connection, or wish to type information manually, you may proceed to the dialog based manual item entry tutorial.)

Choose a sub category from the category pane. Press the "Add Item" button on the toolbar or use menu command Action -> Media Item -> Add Item via Wizard... to bring up the Media Item Wizard..

Click "Next" in the welcome page, and you'll be forwarded to the keyword page.

Type the title of your item in the Keyword edit box. Choose the type of your media, an Amazon International store, and click "Next". (Default Amazon international site can be customized in Tools -> Options.)

You may notice that if you typed the title, "Keyword Search Mode" will appear on the screen. This means that the Media Item Wizard is currently in keyword searching mode, and it'll treat the text you entered as product keywords. Alternatively, you can batch import items using manually entered ISBN numbers, barcode numbers or using your webcam to scan barcodes.

Tip: Using the batch ISBN/UPC/EAN mode.
It's really easy to activate batch mode in the media item wizard. Just enter those ISBN/UPC/EAN numbers spaced by "space". And the wizard will automatically recognize those numbers and activate the batch mode.

Please note that you'll still have to choose "Media Type" in this process. And therefore you can't actually mix up books and DVDs. This behavior is a limitation in the Amazon WebService.

Tip: Using your webcam to scan barcodes

(Note: This feature requires a mid-class (or above) webcam configured, and Microsoft DirectX 9.0)
You do have to configure your webcam a little bit before actual scanning. Check out the webcam configuration guide for more information. If you've already done it, press "Scan Barcode from Webcam..." and the barcode scanning dialog will appear.

The barcode scanner dialog works in full non-interactive mode. It doesn't have a "scan" button. According to the configuration guide, you need to first adjust the focus of your webcam to around 3-inches (around 7 centimeters). And then put the barcode part of your media in front of the webcam, just as you see the barcode in the "Video" window, like the above one. Hold it for one or two seconds. MediaMan will automatically sense and read out the barcode and write to the keyword edit box.

You may have noticed that the barcode scanner is actually an extension to the batch mode. The wizard will automatically activate the batch mode to hold your scanned numbers.

Tip: Using CueCat or other PS/2, USB-based barcode scanner

Click the button next to the keyword entry edit box to launch the batch barcode entry dialog. It works as an extension to the single-line keyword box. It allows you to enter barcodes separated by the <Enter> key, which is a typical behavior of these kind of barcode scanners. Additionally, MediaMan will automatically decode the output of CueCat series scanners.

After scanning, the batch entry dialog will automatically recognize the type of the barcode and convert it if applicable. You can check to see if it was correctly entered.

MediaMan will perform a web search based on Amazon Web Service to find the information about your product after you clicked "Next".

You may cancel the process by either the "Back" button which will forward you to the previous page, or the "Cancel" button which will exit the wizard. If you cancel the downloading process at this point, you'll see a message prompting that the program is closing its network connection. It'll take less than a second in typical situations, however, on high-congestion connections, you may experience a 10-second-delay.

After the search process, MediaMan will display a list of matching items. If the list box is not wide enough to fit in all the details, you can roll over any of the items using your mouse cursor. A tool tip will pop up containing the truncated information.

Choose the items in the list, hold on Shift or Ctrl to choose multiple items. If you didn't see your matching product in the result box, you can search again by another keyword. Choose the matching items and click "Next". Now MediaMan will connect to Amazon Web Service and retrieve detailed information about them and add them to the selected category.

Click "Finish" in the wizard and back to the main interface. You'll see the selected items being added to your collection.

Take a look at the alternative way of adding an item or proceed to the collection file saving tutorial.


Adding an Item by Dialog
Alternatively, an item can be added by typing information manually in the dialog. This tutorial will show you how to add an item using the New Item Dialog. (To avoid confusion, the dialog won't retrieve any information from the Internet. It's merely about what you typed. To use the automated-content-retrieving wizard, check out this tutorial.)

Click the arrow beside "Add Item" and choose "By Dialog..." or use menu command Action -> Media Item -> Add Item via Dialog... will bring up the New Item Dialog. Now you may go ahead and fill the dialog with the information about the media item you wanted to add.

Please note that you need to check the check box beside some fields to enable them for typing. Fields like "Features", "Authors", "Artists" can contain multiple values. It is suggested that you separate these values by the <Enter> key.

Some fields has a drop-down button on the right side of the edit box. MediaMan will remember the values you entered in these fields, and you can easily recall previously entered values by clicking this button.

By default, the category icon is assigned to the new item. You may customize it by clicking the check box next to "Change Icon" to activate per-item-icon option. Click "Change Icon" to pick a preferred icon for the item.

You may import your own icon files (.ico, .bmp, .png) on your hard drive to be the category icons. For more information please refer to the program options dialog.

The detailed information about item status management is covered in this tutorial.

In the next step, we move on to the "Image" tab to add a picture for our DVD. You can either use the "Import..." button to browse a picture in your hard drive, or drag a picture from Internet Explorer or My Computer to this window. Alternatively, you may use the clipboard function by the "Paste from Clipboard" button to use resources from third-party software.

If the imported picture is larger than the specified setting in MediaMan's option, it'll be automatically resized. On the bottom-left of the dialog, you'll see the dimension of the resized picture. Even the picture has been resized, there are still chances that it can't fit the dialog. Therefore, "(Auto Fit)" will show up if the dialog is not large enough to display the whole picture.

*Note: Importing an unsupported image may clear the original one. To avoid unwanted loss, use "Cancel" to dismiss the changes.

In the "Extra" tab, you may enter up to 7 custom fields. The custom fields mechanism is provided in case the regular fields didn't fit your requirement.

Press "OK" and this item will be added to the collection.

To save the changes into a collection file, please consult the saving tutorial.


Managing Categories
MediaMan supports unlimited nested categories. Six default categories (Audio CD, Books, DVD, VHS Tape, Software, Games) are created in a new collection file. You can create your own sub category by right clicking on any of the existing one.

A menu will popup showing the available options for the selected category. Choose "Insert Category" and type a name for it.

If you wanted to rename a category, right click on it and choose "Rename". Or, in an easy way, single click on it.

A category is associate with an icon and description. Right click on a category and choose "Properties" to modify these settings.

As you can see, an icon can be selected from our gallery to identify the category. The description you entered will be displayed in the information panel, right below the statistics data.

You can drag a category and drop it to another one to move it. In this case, all the nested categories and items under it will be preserved and moved to the target one.

If you want to move items across different categories, check out the item list pane tutorial or the cutting and pasting tutorial.


Copying, Cutting and Pasting an Item
It is suggested that you use the item list pane drag-&-drop feature to organize items among categories. Check out the item list pane tutorial for more information. However, MediaMan also provides traditional way of item management by cutting, copying and pasting. Items in a category can be copied or moved to another one. It is done by the "Copy", "Cut", "Paste" command under the "Edit" Menu, or the "Scissors" (Cut), "Paste" button on the tool bar.

Simply choose some items in the list view, and press "Cut" or "Copy", select another category and press "Paste".

Alternatively, you may use the item cutting and pasting function from the item context menu (right click in the list view).

For more information on moving categories one to another, check out the category management tutorial.


Editing and Removing an Item
Editing an existing item is pretty much the same process as adding an item using the dialog. Choose the item from the list view and press the "Edit" button on the toolbar, or double click an item in the list view, you'll see an Edit Item Dialog which is very similar to the Add Item Dialog. Check out the new item dialog tutorial for details.

You may select multiple items inside a category and press the cross button beside "Edit" to remove these items from your collection.

Alternatively, you may right click in the item list pane, and use context menu options to manage items. Double click on an item will bring up the Edit Item Dialog.


User Interface Overview

MediaMan's opening screen.

Menu & Toolbar All functions in MediaMan can be invoked from the Menubar. While frequently used functions can be found on the toolbar.
Category View Nested category to classify your media items.
Category Info Pane Display category descriptions and statistics.
Homepage Display generic information about the collection file, Price Tracker, statistics and web resource links.

Item List Pane A list of items containing brief descriptions, or in this case, a digital shelf.
Item Detail Pane Detailed information about the selected item displayed in HTML.

Switch between Category View, Item List View, and Item Detail View by pressing F6 or TAB key, or switch backwards by pressing Shift+F6 or Shift+TAB.

The layout of the main window can be customized using the pane swapping buttons.

Pane swapping button is available in the category pane and the item list pane. Clicking this button will result in swapping of neighbor panes. With the use of this feature, you can customize the layout of the program to fit your special requirement. The following picture shows an example of the effects of pane swapping.


Saving Your Collection
After adding or editing your collection. You need to save it as a file. Press the "Diskette" (Save) on the tool bar to save the collection.

MediaMan will prompt you to choose a file name if it hasn't been named yet. After saving, the asterisk (*) on the title bar will disappear, which means your collection file hasn't been modified since last save.

MediaMan Collection File (*.mmc) is the file format used to store collection data. All your category information, media item description and pictures are stored in this single file. MediaMan is associated with *.mmc if it is installed properly. Double click on an mmc file in "My Computer" will launch MediaMan to open it.

Check out advanced topics such as item editing, category management, collection file backing up, and item status management.


Starting MediaMan

Start MediaMan via Start Menu -> MediaMan -> MediaMan if you have it installed using default settings.

You'll see a home page just like the above one. The home page contains a few task shortcuts, some brief information about what collection file you are currently using and its statistics data.

On the top side, there are the menu bar and the tool bar that issues commands to the program. Right below, there's a small grey area that shows the current selected category. On the left side, there are the category view and category information panel. Statistics information of the category will be displayed in this panel.

Before we move to the next level, let's take a look at the basic elements of the user interface.


Using the Item Detail Pane

The detail view looks like a web browser displaying all the detailed information about the selected item, including images.

The detail view may look differently under different themes. It may also look different under different program modes (full-frame and wide-frame). Additionally, you can hide some of the fields you didn't care about. To use this feature, and/or switch program mode, check out the program options dialog.


Using the Item List Pane

The Item List Pane shows a list of items under current category. It provides 4 different styles with various sorting options. Use the view button on the toolbar or the View menu to configure these options.

The following picture shows the looks of the four different list styles (a.k.a. view mode).

Besides the menu and the toolbar, you can use keyboard shortcuts, Ctrl+1, Ctrl+2, Ctrl+3, and Ctrl+4 to switch between these views.

The item list pane also provides quick access to sorting functions. Click the arrow button next to the "swapping" button, to activate list pane sorting feature. For optimal use of the sorting feature, you'd better use the "expanded list" view mode.

The following picture shows the item list sorted by actors.

To provide more intuitive view of sorted fields, MediaMan highlights those sorted fields and bring them to the front of the second line of the descriptions. Please note that the highlight feature is only available in "expanded-list" mode. If you didn't see any highlights, it should be that none of the items has a value in the field you were sorting. In this case, items wil be sorted by titles.

The item list pane supports drag-&-drop item organization. It's far more convenient than cut-&-paste operations. Take a look at the following animation to see how it is done.


License Agreement
END-USER LICENSE AGREEMENT FOR MEDIAMAN SOFTWARE IMPORTANT—READ CAREFULLY: This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and He Shiming (“The Author”) for the MediaMan software that accompanies this EULA, which includes associated media and MediaMan Internet-based services ("Software"). An amendment or addendum to this EULA may accompany the Software. YOU AGREE TO BE BOUND BY THE TERMS OF THIS EULA BY INSTALLING, COPYING, OR USING THE SOFTWARE. IF YOU DO NOT AGREE, DO NOT INSTALL, COPY, OR USE THE SOFTWARE; YOU MAY RETURN IT TO YOUR PLACE OF PURCHASE FOR A FULL REFUND, IF APPLICABLE.

1. GRANT OF LICENSE.

The Author grants you the following rights provided that you comply with all terms and conditions of this EULA:

1.1 Installation and use. You may:

(a) install and use a copy of the Software on one personal computer or other device; and

(b) install an additional copy of the Software on a second, portable device for the exclusive use of the primary user of the first copy of the Software.

1.2 License Grant for Media Elements. The Software may include certain photographs, clip art, shapes, animations, sounds, music and video clips that are identified in the Software for your use (together "Media Elements"). You may copy and modify the Media Elements, and license, display and distribute them, along with your modifications as part of your software products and services, including your web sites, but you are not licensed to do any of the following:

• You may not sell, license or distribute copies of the Media Elements by themselves or as part of any collection, product or service if the primary value of the product or service is in the Media Elements.

• You may not grant customers of your product or service any rights to license or distribute the Media Elements.

• You may not license or distribute any of the Media Elements that include representations of identifiable individuals, governments, logos, initials, emblems, trademarks, or entities for any commercial purposes or to express or imply any endorsement or association with any product, service, entity, or activity.

• You may not create obscene or scandalous works using the Media Elements.

1.3 License Grant for Documentation. The documentation that accompanies the Software is licensed for internal, non-commercial reference purposes only.

2. RESERVATION OF RIGHTS AND OWNERSHIP.

The Author reserves all rights not expressly granted to you in this EULA. The Software is protected by copyright and other intellectual property laws and treaties. The Author own the title, copyright, and other intellectual property rights in the Software. The Software is licensed, not sold. This EULA does not grant you any rights to trademarks or service marks of Microsoft.

3. LIMITATIONS ON REVERSE ENGINEERING, DECOMPILATION, AND DISASSEMBLY.

You may not reverse engineer, decompile, or disassemble the Software, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

4. NO RENTAL/COMMERCIAL HOSTING.

You may not rent, lease, lend or provide commercial hosting services with the Software.

5. LINKS TO THIRD PARTY SITES.

The Author is not responsible for the contents of any third-party sites or services, any links contained in third-party sites or services, or any changes or updates to third-party sites or services. These links and access to third-party sites and services are provided to you only as a convenience.

8. ADDITIONAL SOFTWARE/SERVICES.

This EULA applies to updates, supplements, add-on components, or Internet-based services components, of the Software that The Author may provide to you or make available to you after the date you obtain your initial copy of the Software, unless they are accompanied by separate terms. The Author reserves the right to discontinue Internet-based services provided to you or made available to you through the use of the Software.

9. NOT FOR RESALE SOFTWARE.

Software identified as "Not for Resale" or "NFR," may not be sold or otherwise transferred for value, or used for any purpose other than demonstration, test or evaluation.

10. SEPARATION OF COMPONENTS.

The Software is licensed as a single product. Its component parts may not be separated for use on more than one device.

11. SOFTWARE TRANSFER.

Internal. You may transfer your copy of the Software to a different device. After the transfer, you must completely remove the Software from the former device. Transfer to Third Party. If you are the person who initially licensed the Software, you may make a one-time permanent transfer of this EULA, Software and Certificate of Authenticity (if applicable) to another end user, provided that you do not retain any copies of the Software. This transfer must include all of the Software (including all component parts, the media and printed materials, any upgrades, this EULA, and, if applicable, the Certificate of Authenticity). The transfer may not be an indirect transfer, such as a consignment. Prior to the transfer, the end user receiving the Software must agree to all the EULA terms.

13. TERMINATION.

Without prejudice to any other rights, The Author may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the Software and all of its component parts.

14. NO WARRANTY

MEDIAMAN IS SOLD "AS IS" AND WITHOUT ANY WARRANTY AS TO MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER WARRANTIES EITHER EXPRESSED OR IMPLIED. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

16. ENTIRE AGREEMENT; SEVERABILITY.

This EULA (including any addendum or amendment to this EULA which is included with the Software) is the entire agreement between you and The Author relating to the Software and the support services (if any) and they supersede all prior or contemporaneous oral or written communications, proposals and representations with respect to the Software or any other subject matter covered by this EULA. If any provision of this EULA is held to be void, invalid, unenforceable or illegal, the other provisions shall continue in full force and effect.

Should you have any questions concerning this EULA, or if you desire to contact The Author for any reason, please visit MediaMan on the World Wide Web at http://www.imediaman.com/


Software Features
  • A user-friendly explorer-style interface MediaMan's interface is similar to Windows Explorer. Buttons on the tool bar can accomplish most of your tasks. Besides, wizards are used to make sophisticated process easier. And even better, all dialogs contain descriptions so that you won't need to consult the document very often. View tutorial.

  • Unlimited nested categories with customizable descriptions and icons Categorize your collection by type, by era or by genre. MediaMan supports unlimited nested categories. Each category is associated with an icon and description, which can be customized via category property dialog. View tutorial.

  • Retrieve information from Amazon and scan items using the webcam barcode scanner MediaMan is a client to Amazon Web Service, which means all books, CDs, videos, software titles available on Amazon (including Amazon United States, Germany, Great Britain, Japan, Canada, and France) can be automatically transferred to MediaMan, including pictures. You can save your time of typing the keyword by using the webcam barcode scanner. Moreoever, many other PS/2 and USB based barcode scanners are supported via the special barcode entry window. View tutorial.

  • Switch between expanded-list or virtual-shelf view mode In addition to traditional view modes, MediaMan offers Outlook 2003-style expanded-list view mode to contain two lines of descriptions. The theme-based virtual-shelf view mode will give you an intuitive overview of all your items on a digital shelf. The theme package also controls the HTML item-detail template.

  • Enhance your Amazon shopping experience with the price tracker MediaMan features a price tracker service which allows you to keep updated of price-drops and availability changes of released and unreleased products without logging on to Amazon.com. View tutorial.

  • Keep an eye on lent items and never pay extra for rented ones Having lent some of your titles to your friends and want to keep tracking of the lent items? Use MediaMan's per-item status tracking function. It allows you to specify a "status" for each item with due dates. MediaMan will automatically highlight these items when they are due. View tutorial.

  • Import various format of images Adding a picture for your media item is easy with the content retrieval wizard, or the new item dialog. The supported image formats are: JPEG, PNG, BMP, TIF, TGA and more. View tutorial.

  • Export collection for printing and synchronizing with your PDAs MediaMan features a collection export wizard which allows you to export your current collection to Microsoft Word RTF files, HTML files, and CSV files. It'll allow you to print the collection and synchronize with your PDA database using a third-party program. View tutorial.

  • Highly compressed data file to save your space MediaMan Collection File is the data file which stores all your collection information. It is highly compressed to save your hard drive space up to 70%.

  • Native support for Unicode, allows you to store item description in multiple languages MediaMan has native support for Unicode in both the interface and the data file. Which means you can store your item description in multiple languages. Plus, your collection file can be viewed and edited in any language edition of Windows.


Technical Support

Technical support of MediaMan can be obtained via http://www.imediaman.com/support/.


What's New in 2.2
  • Media item wizard with advanced batch importing support and webcam barcode scanner The media item wizard (which is used to import information from Amazon) is now capable of batch importing using ISBN (for books), UPC (barcode system in the U.S.), and EAN (barcode system in EU and Japan). MediaMan 2.2 takes the advantage of the newly introduced Amazon E-Commerce System 4.0 so that it can retrieve much more information than earlier versions. You are now allowed to specify a target category even if it's not the current one. Plus, the webcam barcode scanner will dramatically save your time of typing keywords to describe your item. View tutorial.

  • Enhanced expanded-list view and the new "Virtual-Shelf" view mode The expanded-list view in MediaMan 2.2 offers the option of two different styles, a MediaMan-native style and an Outlook 2003-style. Sorting is much faster now and the expanded-list mode will highlight those sorted fields to offer a more intuitive view. "Virtual Shelf" takes the most of state-of-the-art graphics processing technology to present all items in your collection on a digital shelf. Furthermore, the "Virtual Shelf" view and the HTML item-detail template can be controlled by plug-in theme packages. View tutorial.

  • The new collection export wizard The collection export wizard in MediaMan 2.2 provides the options of exporting only selected items, a category of items, or the search results. You are now allowed to export the collection into Microsoft Word RTF files, HTML files, text files, and CSV files. There's also an option to specify fields you wanted to be exported. View tutorial.

  • New regular and extra fields with show/hide support With MediaMan 2.2, you can record much more information than earlier versions. If you open the new item dialog or the edit item dialog, you can see a lot of new fields and a total of 7 custom fields. You may now easily find previously entered stuff using the drop-down list. The drop-down list feature in custom fields has been enhanced so that you'll get a field name-sensitive value list. On the other hand, if you don't want these extra fields, you can now easily hide them from the show/hide options of the program. View tutorial.

  • The new collection update wizard MediaMan 2.2 features a new "collection update wizard". It can be used to update a field of a series of items to the same value. Additionally, old collections can also take advantage of the newly introduced Amazon ECS 4.0 to download more information by choosing the web-update option of the wizard. View tutorial.

  • Various user interface and performance improvement MediaMan 2.2 comes with major performance improvement in image-caching as well as sorting. The virtual shelf view relies on disk cache to offer a better performance, while sorting is now more intuitive with the expanded-list view mode. You can now split the list view and the detail view horizontally by choosing the "wide frame" mode, and view panes can be swapped. View tutorial.

  • Simplified price tracker feature. The price tracker in 2.2 is less annoying and a lot easier to use. The process of adding new products to the tracking list is exactly the same as the media item wizard. MediaMan utilizes Amazon ECS 4.0 to offer a shopping cart creation feature. You can now easily purchase selected items within one click. View tutorial.


MediaMan Technical Information

General Program Information

The following table summarizes the technical details of MediaMan.

Program Specific
Developed in: | C/C++, Windows Template Library
Third-party components: | TinyXML, FreeImage, zlib
Content retrieval sponsored by: | Amazon Web Service program
Content retrieval program version: | Amazon E-Commerce System v4.0
Collection File Specific
Maximum categories: | Around 32,000
Maximum records (items): | Around 2,000,000,000
Record format: | XML (in the form of Amazon ECS 4.0, or Amazon AWS 3.0 for older collections)

MediaMan Theme Mechanism

MediaMan theme utilizes state-of-the-art graphics technologies to paint and simulate a visually pleasant digital shelf. The painting process relies on the "Group" field of each item and the theme package file. The "Group" field is a new feature introduced in MediaMan 1.6, previously known as "catalog". Usually, if the item was retrieved from Amazon, it'll be automatically filled with corresponding values. Common values are "Book", "DVD", "Music". The theme package file defines the look of the virtual shelf by means of this value. The default theme package defines the look for only these three groups ("Book", "DVD", "Music").

Therefore, for optimal use of virtual shelf, you are suggested to fill in the group field with either of the three values. You can use the collection update wizard to do a batch update, or to update from Amazon.

Amazon E-Commerce System

MediaMan relies on Amazon E-Commerce System 4.0, which is a part of the Amazon Web Service program, to retrieve product information and pictures. All Amazon International stores, including Amazon United States, Germany, Great Britain, Japan, Canada and France are supported, use the MediaMan Options dialog to configure your default store. Amazon Web Services (AWS) provides software developers direct access to Amazon's ever-growing technology platform and product data. Developers are empowered to innovate and build businesses by creating dynamic, highly-effective Web sites and Web applications. For more information, please refer to the service introduction page on Amazon at http://www.amazon.com/gp/aws/landing.html.